Bug 63796 - Master: Support CSS3 font feature properties
: Master: Support CSS3 font feature properties
Status: NEW
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Kenichi Ishibashi
http://www.w3.org/TR/css3-fonts/#font...
: InRadar
Depends on: 134332 63618 65903 65904 69826
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-01 02:19 PDT by Kenichi Ishibashi
Modified: 2014-11-24 10:14 PST (History)
13 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenichi Ishibashi 2011-07-01 02:19:52 PDT
This is the master bug for adding CSS3 font feature properties support.
Comment 1 Kent Tamura 2012-01-10 21:34:48 PST
FYI: IE10 seems to have font-feature-settings.
http://blogs.msdn.com/b/ie/archive/2012/01/09/css-corner-using-the-whole-font.aspx
Comment 2 Radar WebKit Bug Importer 2012-05-31 13:04:21 PDT
<rdar://problem/11568281>
Comment 3 Paul Irish 2012-06-20 15:12:52 PDT
Since all child issues are resolved, what's left on this feature/
Comment 4 Kenichi Ishibashi 2012-06-20 16:07:56 PDT
(In reply to comment #3)
> Since all child issues are resolved, what's left on this feature/

Chromium port has implemented the feature but other ports don't implement yet. I'm not sure other ports are interested in implementing the property, though.
Comment 5 Ian Storm Taylor 2012-07-24 12:05:30 PDT
I really hope that's not the case. This is an incredibly important feature for type on the web.

(In reply to comment #4)
> (In reply to comment #3)
> > Since all child issues are resolved, what's left on this feature/
> 
> Chromium port has implemented the feature but other ports don't implement yet. I'm not sure other ports are interested in implementing the property, though.
Comment 6 diebuche 2014-09-02 03:49:49 PDT
All major browsers now support font-feature-settings. Webkit is the only engine lacking it (while actually pretending to handle it, but in fact simply ignoring it)